%define	name	kazehakase
%define	version	0.2.5
%define	release	1mdk

Name:		%{name}
Summary:	A fast and light tabbed browser using gecko
Version:	%{version}
Release:	%{release}
Url:		http://kazehakase.sourceforge.jp
Source0:	%{name}-%{version}.tar.bz2
# icons
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
# temporary patch (Hiroyuki Ikezoe <poincare at ikezoe.net >) 
Patch100:	kazehakase-0.2.2_mandrake.patch.bz2
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
Requires:	mozilla
BuildRequires:	mozilla-devel gtk+2-devel automake1.8

%description
Kazehakase is a fast and light tabbed browser using gecko.
"Kaze" means "wind", and "Hakase" means "Dr." in Japanese.

%prep
%setup -q
%patch100 -p1

%build
# force to regenerate configure
cp /usr/share/automake-1.9/mkinstalldirs .
./autogen.sh
%configure2_5x --enable-migemo

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# icons
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE10 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE11 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE12 %buildroot/%_liconsdir/%name.png

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/kazehakase" \
 icon="%name.png" \
 title="Kazehakase" \
 longtitle="%{summary}" \
 needs="x11" \
 section="Networking/WWW"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.README 
%doc README README.ja TODO.ja
%{_sysconfdir}/kazehakase/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/kazehakase/kz-no-thumbnail.png
%{_datadir}/kazehakase/search-result.css
%{_datadir}/kazehakase/icons/*
%{_datadir}/pixmaps/*
%_menudir/%name
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png

%changelog
* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- new release
- fix build

* Wed Dec 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.3-1mdk
- new release

* Mon Nov 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.2-1mdk
- new release

* Tue Nov 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-2mdk
- new release
- add icons

* Thu Sep 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1.cvs20040930.1mdk
- new release
- cvs20040930

* Mon Sep 27 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.9-2.cvs20040927.1mdk
- cvs20040927

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8.1-1mdk
- cleanup
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o initial spec for mdk
  o patch 0: fix autogen
